Skip to main content
`Ctrl`+`K`

# MatTransColoringApplySpToDen

Given a symbolic matrix product \(C = A*B^T\) for which a `MatTransposeColoring` context has been created, computes a dense \(B^T\) by applying `MatTransposeColoring` to sparse `B`.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransColoringApplySpToDen(MatTransposeColoring coloring, Mat B, Mat Btdense)

Collective

## Input Parameters

- coloring - coloring context created with `MatTransposeColoringCreate()`

- B - sparse matrix

## Output Parameter

- Btdense - dense matrix \(B^T\)

## Note

These are used internally for some implementations of `MatRARt()`

## See Also

Matrices, `Mat`, `MatTransposeColoringCreate()`, `MatTransposeColoringDestroy()`, `MatTransColoringApplyDenToSp()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Implementations

MatTransColoringApplySpToDen_SeqAIJ() in src/mat/impls/aij/seq/matmatmult.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages